mokevip

一个爱搞事情的程序猿,一个爱玩技术的前端;生命不息,折腾不止。

关于WEBDAV 为什么使用webdav 于我个人而言 webdav 是在这个各家垄断的市场里最让人有安全感的发明了,无论是打造自己的媒体库、同步 app 使用数据、同步相册等等场景,让我们摆脱了厂商的限制,能做到最大程度的“自主可控”、“数据安...

发布 0 条评论

问题 最近要上旧版本浏览器,我们uniapp用的是vue3 cli+ts+es6。 报错 ?. 和 flatMap 、 import.meta 绞尽脑汁如何es6转es5。 所有的es6转es5方案,如legacyPlugin、babel、polyfill等都不起作用。 官方又说自带es6转es5,又跑去下载...

发布 2 条评论

ResizeObserver 引自MDN ResizeObserver 避免了通过回调函数调整大小时,通常创建的无限回调循环和循环依赖项。它只能通过在后续的帧中处理 DOM 中更深层次的元素来做到这一点。如果它的实现遵循规范,则应在绘制前和布局后调用 resi...

发布 0 条评论

utools 等工具好像很火,我也早早就安装了,但是一直没能培养起来使用习惯,可能是因为浏览器太好用了(捂脸) 控制台 + 搜索引擎满足绝大部分需求 可能由于前端开发需要经常和浏览器打交道的原因,朋友问我稍微复杂点的算式我的第一...

发布 0 条评论

前言 最近在搞tsx,迫于tsx的特性,页面中无法直接使用js定义伪类,加之使用 tailwindcss 已经满足大部分css需求,不愿为一两句伪类代码徒增引入文件,于是上手 styled-components 。 css in js css in js 并不是指一个具体的类库,而...

发布 0 条评论

问题 今天在维护之前同事的旧项目时,发现一处搜索功能不能实现,原因是同事在判断逻辑中将计算属性的值赋给了data中的变量,希望search内容更改时能够更新计算属性。 这就衍生出了两个问题 为何计算属性的方法只在第一次赋值时调用...

发布 0 条评论

在实现页面的过程中,我们经常会遇见,同样的一张图标,因为需要他的不同状态,而多次引入,黑色的、彩色的、白色的,最常见的就是tab栏目类。 通过css我们可以只需要一张彩色图片,实现白色、灰色、黑色图标的效果,甚至可以自定义...

发布 0 条评论

没事干就折腾这个,折腾那个,大部分可能跟着大家教程来。 比如折腾 N1 ,旁路由、KODI 、armbian 反复刷 折腾软路由、折腾 NAS 折腾 docker 安装乱七八糟的服务 折腾 PT 、折腾蓝光播放器、折腾音箱,HIFI 甚至玩刻录光盘、磁带 快速...

发布 0 条评论

序 为什么需要通过外网访问 异地联调时接口的实时更新,双方远程联调时不需要再将服务部署到服务器上更新 减少域名认证、IP认证、回调地址问题,如使用企业微信、微信支付的接口时,需要填写回调地址,传统开发模式限定了开发只能部...

发布 0 条评论

chrome manifest v2 弃用 根据官方通知 2022年1月17日后chrome扩展市场不接受v2扩展。 2023年1月后chrome浏览器不支持v2扩展运行 虽然manifest v3因为保护隐私的原因相对于v2与用户隐私相关的功能大受限制,但拥抱V3似乎是开发者的唯...

发布 0 条评论

拒绝执行内联脚本,因为它违反了以下内容安全策略指令:“script-src”self'chrome-extension-resource:“。 不能使用内联js和html文件内的js,使用 <code> <script src=""></script> 引入

发布 0 条评论

1. ICANN 全世界域名的最高管理机构,是一个叫做 ICANN (Internet Corporation for Assigned Names and Numbers)的组织。它的总部在美国加州。 ICANN 负责管理全世界域名系统的运作。它的一项主要工作,就是规定顶级域名(top level...

发布 0 条评论

决定 因为比较年轻,所以这个决定并没有太大的决策成本,当天就提了离职,并且约定于手上项目完成后离职(目前还没有离职)。 做出这个决定出于很多方面的原因,主要就是因为,想做的事情太多,但是时间太少。我知道我知道,时间像是...

发布 0 条评论

环境变量的作用 一个项目可能会有开发版本、上线版本、测试版本等等多个版本,不同的环境会有不同请求api接口,就需更改一些基本配置,基本路径,服务器代理这种都要更改一遍,这时候就显得很麻烦,所以就需要使用到环境变量 vite中的...

发布 0 条评论

Solution reference from https://github.com/nodejs/node/issues/37510 The reason is the version compatibility problem, 16 above version cannot run , recommend use socks-proxy-agent 解决方案参考自 https://github....

发布 0 条评论